| Home | Libraries | People | FAQ | More

##### field_view::operator==

Tests for equality.

###### Synopsis

    constexpr bool
    operator==(
        const field_view& rhs) const;

###### Description

If one of the operands is a `uint64` and the other a `int64`, and the values are equal, returns `true`. Otherwise, if the types are different, returns always `false` (`float` and `double` values are considered to be different between them). `NULL` values are equal to other `NULL` values.

###### Exception safety

No-throw guarantee.